/**

* Representa un elemento de respuesta de la peticion Ajax

* Guarda la informacion en dos arrays, uno con los nombres 

* de los atributos y el otro con los valores

**/



/**

*   Devuelve el valor del atributo indicado

*   @param pName nombre del atributo

*   @return  valor del mismo

**/



function getAvalue(pName){

    var i=0;

    var value=null;

    while(i<this.properties.length && this.properties[i]!=pName){

        i++;

    }

    if(i<this.properties.length){

        value=this.values[i];

    }

    return value;

}



/**

* Establece un atributo del nombre indicado con el valor indicado.

* @param pName nombre del atributo

* @param pValue valor del atributo

**/



function setAvalue(pName,pValue){

    this.properties[this.properties.length]=pName;

    this.values[this.values.length]=pValue;

}



/**

* Constructora de la clase

*

**/

function ajaxBean(){

    this.properties= new Array();

    this.values=new Array();

    this.getValue=getAvalue;

    this.setValue=setAvalue;

}